.browser {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: #040108;
    position: relative;
}
.browser .text-tips{
    padding-top: 40px;
    color: #fff;
    text-align: center;
   font-size: 16px;
}
.browser .container .content-wrap {
    width: 420px;
}

.browser .container .content-wrap .content-wrap_inner {
    display: flex;
    justify-content: center;
    position: relative;
}

.qr_container {
    display: flex;
    justify-content: center;
    position: relative;
    align-items: center;
    flex-direction: column;
    width: 360px;
    min-height: 200px;
    padding: 6px 20px 20px;
}

.qr_container_des {
    margin: 44px 0 34px;
    font-size: 14px;
    letter-spacing: 0;
    line-height: 24px;
    font-weight: 500;
    color: #BABABA;
    text-align:center;
}
.qr_container_des p{
    margin-bottom: 0rem;
}
.qr-container_content {
    width: 244px;
    border-radius: 20px;
    background: #fff;
    box-shadow: 0px 0px 50px 10px rgba(255,255,255,0.4);
}

.qr-container__qr-img-wrap {
    height: 192px;
    width: 192px;
    margin: 20px 26px;
    position: relative;
    background-image: url(../images/browser/scan.png)
}

@keyframes rotation {
    0% {
        -webkit-transform: rotate(0deg)
    }

    to {
        -webkit-transform: rotate(360deg)
    }
}
.failedmsg{
    color: red;
    display: none;
    margin-top: 30px;
    font-size: 16px;
    text-align: center;
}
#qrcode {
    width: 176px;
    height: 176px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#qrcode img {
    width: 100%;
    height: 100%;
}

#qrcode #qrcodeicon {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 40px !important;
    height: 40px;
    transform: translate(-50%, -50%);
}
#renovate{
    width: 176px;
    height: 176px;
    position: absolute;
    top: 50%;
    left: 50%;
    display: none;
    transform: translate(-50%, -50%);
}
#renovate .renovate_img{
    height: 52px;
    width: 52px;
    cursor: pointer;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background-image: url(../images/browser/renovate.png);
    background-size: cover;
    background-repeat: no-repeat;
}
#renovate .renovate_img:active{
    left: calc(50% - 26px);
    top: calc(50% - 26px);
    animation: rotation 1s linear infinite;
    -moz-animation: rotation 1s linear infinite;
    -webkit-animation: rotation 1s linear infinite;
    -o-animation: rotation 1s linear infinite;
}

.browser_show {
    display: block !important;
}

.browser_hide {
    display: none !important;
}

.not-support {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #040108;
}

.not-support .progress_notSupport {
    padding: 4rem 8rem 6rem 8rem;
}

.progress_notSupport .progress_innerbox {
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 1rem;
    padding: 2rem 4rem 0 4rem;
    border: 1px solid #FFF;
    background: #FFFFFF33;
}

.progress_notSupport .progress_des {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 2rem;
}

.progress_notSupport .progress_btn {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 2rem 0;
    width: 5rem;
    height: 2rem;
    background: linear-gradient(90deg, #D125A8 0%, #4C5CF0 51%, #D125A8 100%);
    background-size: 200% auto;
    transition: 0.5s;
    border-radius: 1.66666667rem;
    color: #FFFFFF;
    cursor: pointer;
}

.progress_notSupport .progress_btn:hover {
    background-position: right center;
}

@media screen and (max-width: 768px) {
    .not-support {
        padding: 3rem 1rem;
    }

    .not-support .progress_notSupport {
        padding: 5rem 3rem 7rem 3rem;
    }
}